Bug 1824239 - install fails to bootstrap when region has uppercase letters
Summary: install fails to bootstrap when region has uppercase letters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.3.z
Assignee: Fabiano Franz
QA Contact: Etienne Simard
URL:
Whiteboard:
Depends On: 1823918
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-15 15:36 UTC by Fabiano Franz
Modified: 2020-05-11 21:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1823918
Environment:
Last Closed: 2020-05-11 21:20:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 3460 None closed [release-4.3] Bug 1824239: Validate Azure regions 2020-05-19 21:43:33 UTC
Red Hat Product Errata RHBA-2020:2006 None None None 2020-05-11 21:20:51 UTC

Comment 3 Etienne Simard 2020-04-30 00:03:40 UTC
Verified with: ./openshift-install v4.3.18
built from commit 7bc8168fbba1c831ac1b25c858f4f56cd7468801
release image registry.svc.ci.openshift.org/ocp/release@sha256:417e04c1b1afbf658e97378dfebe5fe862a091c150f8b547468c5488bbbc2632


I first created an install-config and changed the region to "CentralUS" before running the installer.

~~~
./openshift-install create cluster --dir ./test1upper/
FATAL failed to fetch Terraform Variables: failed to load asset "Install Config": platform.azure.region: Invalid value: "CentralUS": region "CentralUS" is not valid or not available for this account, did you mean "centralus"? 
~~~

Comment 5 errata-xmlrpc 2020-05-11 21:20:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2006


Note You need to log in before you can comment on or make changes to this bug.